# visit

abstract fun visit(visitor: FileVisitor): FileTree

Visits the files and directories in this file tree. Files are visited in depth-first prefix order, so that a directory is visited before its children.

#### Return

this

#### Parameters

visitor

The visitor.

abstract fun visit(@DelegatesTo(value = FileVisitDetails::class) visitor: Closure): FileTree

Visits the files and directories in this file tree. Files are visited in depth-first prefix order, so that a directory is visited before its children. The file/directory to be visited is passed to the given closure as a

#### Return

this

#### Parameters

visitor

The visitor.

abstract fun visit(visitor: Action<in FileVisitDetails>): FileTree

Visits the files and directories in this file tree. Files are visited in depth-first prefix order, so that a directory is visited before its children. The file/directory to be visited is passed to the given action as a

#### Return

this

#### Parameters

visitor

The visitor.